## kde-workspace 4.8.2a

=== CMakeLists.txt ===
project(KDEBASE_WORKSPACE)

# Used e.g. in KDE4WorkspaceConfig.cmake, Alex
set(KDE4WORKSPACE_VERSION_MAJOR 4)
set(KDE4WORKSPACE_VERSION_MINOR 8)
set(KDE4WORKSPACE_VERSION_PATCH 2)
set(KDE4WORKSPACE_VERSION ${KDE4WORKSPACE_VERSION_MAJOR}.${KDE4WORKSPACE_VERSION_MINOR}.${KDE4WORKSPACE_VERSION_PATCH} )


# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH} )

#search packages used by KDE
set(QT_MIN_VERSION "4.7.0")
set(KDE_MIN_VERSION "4.8.2")
set(SOPRANO_MIN_VERSION "2.5.63")
find_package(KDE4 ${KDE_MIN_VERSION} REQUIRED)
find_package(Strigi REQUIRED)
find_package(ZLIB REQUIRED)
find_package(KActivities 6.0.0 REQUIRED)
find_package(DBusMenuQt 0.6.0 REQUIRED)
find_package(QImageBlitz REQUIRED)
macro_optional_find_package(OpenGL)
macro_optional_find_package(OpenGLES)

if(Q_WS_X11)
  if(NOT X11_XTest_FOUND)
    macro_log_feature(X11_XTest_FOUND "libXtst" "X11 Testing Resource extension library" "http://xorg.freedesktop.org" FALSE "" "useful for automated testing of X clients.")
  endif(NOT X11_XTest_FOUND)
  if(NOT X11_Xau_FOUND)
    macro_log_feature(X11_Xau_FOUND "libXau" "X11 Authorization Protocol library" "http://xorg.freedesktop.org" FALSE "" "Needed by KDM.")
  endif(NOT X11_Xau_FOUND)
  if(NOT X11_Xdmcp_FOUND)
    macro_log_feature(X11_Xdmcp_FOUND "libXdmcp" "X Display Manager Control Protocol library" "http://xorg.freedesktop.org" FALSE "" "Needed by KDM.")
  endif(NOT X11_Xdmcp_FOUND)
  # Other X11 libraries that are used unconditionally elsewhere
  # without testing if they are found. With these log messages
  # you get a nice complaint about missing required packages
  # before the CMake error list of unused variables.
  if(NOT X11_Xkbfile_FOUND)
    macro_log_feature(X11_Xkbfile_FOUND "libXkbfile" "X11 keyboard layout library" "http://xorg.freedesktop.org" TRUE "" "Needed for keyboard modules.")
  endif(NOT X11_Xkbfile_FOUND)
  if(NOT X11_Xcomposite_FOUND)
    macro_log_feature(X11_Xcomposite_FOUND "libXcomposite" "X11 composite library" "http://xorg.freedesktop.org" TRUE "" "Needed for plasma tray and notifications.")
  endif(NOT X11_Xcomposite_FOUND)
  if(NOT X11_Xdamage_FOUND)
    macro_log_feature(X11_Xdamage_FOUND "libXdamage" "X11 damaged region extension library" "http://xorg.freedesktop.org" TRUE "" "Needed for Compositing support in KWin.")
  endif(NOT X11_Xdamage_FOUND)
  if(NOT X11_Xrender_FOUND)
    macro_log_feature(X11_Xrender_FOUND "libXrender" "X Rendering Extension client library" "http://xorg.freedesktop.org" TRUE "" "Needed for XRender Compositing backend in KWin.")
  endif(NOT X11_Xrender_FOUND)
  if(NOT X11_Xfixes_FOUND)
    macro_log_feature(X11_Xfixes_FOUND "libXfixes" "X11 miscellaneous 'fixes' extension library" "http://xorg.freedesktop.org" TRUE "" "Needed for XRender Compositing backend in KWin.")
  endif(NOT X11_Xfixes_FOUND)
  if(NOT X11_Xrandr_FOUND)
    macro_log_feature(X11_Xrandr_FOUND "libXrandr" "X11 RandR extension library" "http://xorg.freedesktop.org" TRUE "" "Needed for Multi Screen Support.")
  endif(NOT X11_Xrandr_FOUND)
  if(NOT OPENGL_FOUND AND NOT OPENGLES_FOUND)
    macro_log_feature(OPENGL_FOUND "OpenGL" "OpenGL" "http://www.opengl.org/" FALSE "" "Needed to build OpenGL Compositing backend in KWin")
    macro_log_feature(OPENGLES_FOUND "OpenGL ES" "OpenGL ES 2.0" "http://www.khronos.org/opengles/" FALSE "" "Needed to build OpenGL ES 2.0 Compositing backend in KWin")
    set(OPENGL_OR_ES_FOUND FALSE)
    macro_log_feature(OPENGL_OR_ES_FOUND "OpenGL (ES)" "OpenGL (ES)" "http://mesa3d.org/" TRUE "" "Either OpenGL or OpenGL ES 2.0 are required for Compositing support in KWin.")
  endif(NOT OPENGL_FOUND AND NOT OPENGLES_FOUND)
endif(Q_WS_X11)

macro_optional_find_package(GLIB2)
macro_log_feature(GLIB2_FOUND "glib2" "Low-level core library for data structure handling, portability wrappers, etc." "http://www.gtk.org" FALSE "2.x" "Needed to build the kxkb keyboard map control program and provide XMMS support in the Now Playing Plasma data engine")

macro_optional_find_package(Fontconfig)

macro_optional_find_package(Googlegadgets)
macro_log_feature(GOOGLEGADGETS_FOUND "GoogleGadgets" "Google Gadgets library" "http://code.google.com/p/google-gadgets-for-linux/" FALSE "0.11.0" "Needed to build plasma scriptengine for google gadgets")

#### Python support ####
macro_optional_find_package(PythonLibrary)

macro_optional_find_package(SIP)
if(SIP_FOUND AND SIP_VERSION STRLESS "040701")
  message(STATUS "The version of SIP found is too old. 4.7.1 or later is needed.")
  set(SIP_FOUND)
endif(SIP_FOUND AND SIP_VERSION STRLESS "040701")

include(SIPMacros)

macro_optional_find_package(PyQt4)
if(PYQT4_FOUND AND PYQT4_VERSION STRLESS "040400")
  message(STATUS "The version of PyQt found is too old. 4.4.0 or later is required.")
  set(PYQT4_FOUND)
endif(PYQT4_FOUND AND PYQT4_VERSION STRLESS "040400")

macro_optional_find_package(PyKDE4)
set(PythonSupport_FOUND TRUE)

#### End Python support ####

include(MacroLibrary)
include(KDE4Defaults)

macro_optional_find_package(Nepomuk)
macro_log_feature(Nepomuk_FOUND "Nepomuk" "Nepomuk Libraries" "kdelibs" FALSE "" "Required to build Nepomuk features.")
macro_optional_find_package(Boost)
macro_log_feature(Boost_FOUND "Boost" "Boost C++ Libraries" "www.boost.org" FALSE "" "Required to build certain Plasma DataEngines (Akonadi, RSS, Calendar)")
macro_optional_find_package(Akonadi)
macro_log_feature(Akonadi_FOUND "Akonadi" "An extensible cross-desktop storage service for PIM data" "http://pim.kde.org/akonadi" FALSE "" "Required to build certain Plasma DataEngines (Akonadi, Calendar)")
macro_optional_find_package(KdepimLibs 4.5.60)
macro_log_feature(KdepimLibs_FOUND "KDE PIM Libs" "KDE Libraries for PIM" "http://pim.kde.org/" FALSE "4.5.60" "Required to build certain Plasma DataEngines (Akonadi, Calendar)")


include(ConfigureChecks.cmake)
if(NOT WIN32)
  configure_file(config-unix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-unix.h )
  configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h )
  if(NOT CMAKE_INSTALL_PREFIX STREQUAL "/usr")
    set(EXPORT_XCURSOR_PATH "XCURSOR_PATH=${CMAKE_INSTALL_PREFIX}/share/icons:$XCURSOR_PATH\":~/.icons:/usr/share/icons:/usr/share/pixmaps:/usr/X11R6/lib/X11/icons\"; export XCURSOR_PATH")
  endif(NOT CMAKE_INSTALL_PREFIX STREQUAL "/usr")
  configure_file(startkde.cmake ${CMAKE_CURRENT_BINARY_DIR}/startkde  @ONLY)
endif(NOT WIN32)
configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h )

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DHAVE_CONFIG_H=1)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${KACTIVITIES_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/libs)

add_definitions(-DDISABLE_NEPOMUK_LEGACY)

# libs
add_subdirectory(cmake)
add_subdirectory(libs)

# system settings (kcontrol replacement)
if(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")
   macro_optional_add_subdirectory( systemsettings )
endif(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")

# core apps
if(NOT WIN32)
   macro_optional_add_subdirectory( kcheckpass )
   macro_optional_add_subdirectory( kwin )
   macro_optional_add_subdirectory( ksmserver )
   macro_optional_add_subdirectory( ksplash )
   macro_optional_add_subdirectory( powerdevil )
   macro_optional_add_subdirectory( qguiplatformplugin_kde )
   macro_optional_add_subdirectory( ksysguard )
endif(NOT WIN32)

if(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")
   macro_optional_add_subdirectory(kcontrol)
   macro_optional_add_subdirectory(klipper)
   macro_optional_add_subdirectory(kmenuedit)
   macro_optional_add_subdirectory(krunner)
   macro_optional_add_subdirectory(solid)
   macro_optional_add_subdirectory(kstartupconfig)
   macro_optional_add_subdirectory(freespacenotifier)

   # data
   macro_optional_add_subdirectory(doc)

   if (Q_WS_X11)
      macro_optional_add_subdirectory(kinfocenter)
   endif (Q_WS_X11)

   if(NOT WIN32)
      macro_optional_add_subdirectory(kscreensaver)
      macro_optional_add_subdirectory(kcminit)
      macro_optional_add_subdirectory(khotkeys)
      macro_optional_add_subdirectory(kwrited)
      macro_optional_add_subdirectory(ksystraycmd)
      # data
      macro_optional_add_subdirectory(cursors)
   endif(NOT WIN32)

   if(X11_Xau_FOUND AND X11_Xdmcp_FOUND)
      add_subdirectory( kdm )
   else(X11_Xau_FOUND AND X11_Xdmcp_FOUND)
      message(STATUS "Xau lib or Xdmcp lib was missing. kdm will not compile")
   endif(X11_Xau_FOUND AND X11_Xdmcp_FOUND)
endif(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")

macro_optional_add_subdirectory(plasma)
macro_optional_add_subdirectory(statusnotifierwatcher)
macro_optional_add_subdirectory(kstyles)

########### install files ###############
if(NOT WIN32)
  install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/startkde DESTINATION ${BIN_INSTALL_DIR})
endif(NOT WIN32)

macro_display_feature_log()

# make the libraries installed from kdebase/workspace available to other projects
# by creating and installing a KDE4WorkspaceConfig.cmake file, which will
# be searched and found by kdelibs/cmake/modules/FindKDE4Workspace.cmake. Alex

# now create the KDE4WorkspaceConfig.cmake file, which will be loaded by 
# kdelibs/cmake/modules/FindKDE4Workspace.cmake and which has to contain all information
# about the libraries installed from kdebase/workspace/libs/ anybody would like to have. Alex

# we need the absolute directories where stuff will be installed too
# but since the variables which contain the destinations can be relative
# or absolute paths, we need this macro to make them all absoulte, Alex
macro(MAKE_INSTALL_PATH_ABSOLUTE out in)
   if (IS_ABSOLUTE "${in}")    # IS_ABSOLUTE is new since cmake 2.4.8
      set(${out} "${in}")
   else (IS_ABSOLUTE "${in}")
      set(${out} "\${KDE4WORKSPACE_INSTALL_DIR}/${in}")
   endif (IS_ABSOLUTE "${in}")
endmacro(MAKE_INSTALL_PATH_ABSOLUTE out in)

make_install_path_absolute(KDE4WORKSPACE_LIB_DIR     ${LIB_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_LIBEXEC_DIR ${LIBEXEC_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_INCLUDE_DIR ${INCLUDE_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_BIN_DIR     ${BIN_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_SBIN_DIR    ${SBIN_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_DATA_DIR    ${DATA_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_HTML_DIR    ${HTML_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_CONFIG_DIR  ${CONFIG_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_ICON_DIR    ${ICON_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_KCFG_DIR    ${KCFG_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_LOCALE_DIR  ${LOCALE_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_MIME_DIR    ${MIME_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_SOUND_DIR   ${SOUND_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_TEMPLATES_DIR    ${TEMPLATES_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_WALLPAPER_DIR    ${WALLPAPER_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_KCONF_UPDATE_DIR    ${KCONF_UPDATE_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_AUTOSTART_DIR    ${AUTOSTART_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_XDG_APPS_DIR        ${XDG_APPS_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_XDG_DIRECTORY_DIR   ${XDG_DIRECTORY_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_SYSCONF_DIR ${SYSCONF_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_MAN_DIR     ${MAN_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_INFO_DIR    ${INFO_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_DBUS_INTERFACES_DIR ${DBUS_INTERFACES_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_DBUS_SERVICES_DIR   ${DBUS_SERVICES_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_SERVICES_DIR ${SERVICES_INSTALL_DIR})

## kde-workspace 4.7.1

=== debian/changelog ===
kde-workspace (4:4.7.1-0ubuntu5) oneiric; urgency=low

  * Drop kubuntu_63_ksplash_fix.diff which is unmaintained and causes
    crashes when freeing the XImage (LP: #665510)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 01 Oct 2011 20:21:52 +0200

kde-workspace (4:4.7.1-0ubuntu4) oneiric; urgency=low

  * Fix inotify_add_watch errors from cmdlines by creating
    ${XDG_CONFIG_HOME:-$HOME/.config}/ibus* from startkde (LP: #855472)
  * Update patches for post-4.7.1 changes. Add to debian/patches:
    0032-Emit-signal-before-deleting-object-to-give-listeners.patch
    0033-fix-tabbing-.-.-utility-hiding.patch
    0034-kstartupconfig-Fix-return-value-conversion-of-system.patch

 -- Romain Perier <bambi@ubuntu.com>  Mon, 26 Sep 2011 14:04:01 +0200

kde-workspace (4:4.7.1-0ubuntu3) oneiric; urgency=low

  * Update debian/kdm.upstart to match latest gdm.upstart improvements:
    - Also export LC_MESSAGES with the rest of locale information
    - When kdm is shut down by a runlevel call, emit an upstart event that can
      be caught by plymouth so it can distinguish between the DM shutting down
      for a runlevel change vs. other causes (LP: #854329)
  * Update patches for post-4.7.1 changes.  Add to debian/patches:
      0001-SVN_SILENT-made-messages-.desktop-file.patch
      0003-SVN_SILENT-made-messages-.desktop-file.patch
      0004-SVN_SILENT-made-messages-.desktop-file.patch
      0005-SVN_SILENT-made-messages-.desktop-file.patch
      0006-preferred-app-launchers-need-to-use-the-type-of-the-.patch
      0007-SVN_SILENT-made-messages-.desktop-file.patch
      0009-SVN_SILENT-made-messages-.desktop-file.patch
      0010-add-some-missing-connects-for-the-ruleswidget.patch
      0011-fix-yet-another-fun-with-pointers-tabbing-segfault.patch
      0013-catch-changeMaximize-recursion-from-setNoBorder.patch
      0014-Clear-thumbnails-for-deleted-windows.patch
      0015-Fix-pointer-accesses-in-tiling-code.patch
      0016-SVN_SILENT-made-messages-.desktop-file.patch
      0017-SVN_SILENT-made-messages-.desktop-file.patch
      0018-SVN_SILENT-made-messages-.desktop-file.patch
      0019-Test-for-widget-creation-before-deleting-property-at.patch
      0020-SVN_SILENT-made-messages-.desktop-file.patch
      0023-fix-kiosk-restrictions-for-user-switching-and-logout.patch
      0024-Fix-typo-use-the-right-signal-signature.patch
      0025-Repaint-old-area-of-the-thumbnail.patch
      0026-Use-Client-layoutMetric-to-access-shadowSize-instead.patch
      0027-ShowCalendarPopup-false-suppresses-calendar-popup-an.patch
      0028-show-the-keyboard-on-immediately-entering-a-text-are.patch
      0029-Repaint-the-whole-window-in-the-taskbar-thumbnail.patch
      0030-SVN_SILENT-made-messages-.desktop-file.patch
      0031-Fix-wrong-inital-tab-in-keyboard-kcm.patch

 -- Scott Kitterman <scott@kitterman.com>  Sun, 25 Sep 2011 00:42:41 -0400

kde-workspace (4:4.7.1-0ubuntu2) oneiric; urgency=low

  [ Scott Kitterman ]
  * kde-window-manager-gles should provide kde-window-manager (will, among
    other things, allow kde-window-manager-gles to be installed without
    removing kubuntu-desktop) (LP: #848552)
  * Remove obsolete kdm recommends on kdebase

  [ Harald Sitter ]
  * Do not install kdewallpapers and kde-wallpapers when requesting default
    wallpaper installation. Only kde-wallpapers should be considered default
    as kdewallpapers is legacy wallpapers (now living in kdeartwork)
  * Fix warnings due to bogus shell code in the netbook detection (LP: #784241)

  [ Jonathan Kolberg ]
  * Include an upstream performance fix (kubuntu_125_fix_kwin.diff)

  [ Felix Geyer ]
  * kubuntu_52_gtk2_engines_oxygen_config.diff: use a more efficient way to
    check if packages are installed.
  * Replace kubuntu_11_fix_root_only_kcms.diff with
    kubuntu_krun_externalapps.diff and
    kubuntu_treat_uid_subst_as_externalapp.diff from upstream KDE/4.7 branch.
    This unbreaks systemsettings after launching root kcms.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 15 Sep 2011 12:47:49 +0200

kde-workspace (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release :
    - debian/rules: Don't call dh_auto_build directly from
      override_dh_auto_build, use $(overridden_command) instead,
      otherwise it breaks parallel building.
    - debian/rules: Don't call dh_auto_install directly from
      override_dh_auto_install, use $(overridden_command) instead,
      otherwise it breaks desktop file translation stripping.
    - Update symbols files.
    - Bump kde-sc-dev-latest to 4.7.1

 -- Romain Perier <bambi@ubuntu.com>  Sat, 03 Sep 2011 15:14:42 +0200

kde-workspace (4:4.7.0-0ubuntu11) oneiric; urgency=low

  * Fix shlibs dependencies on kde-window-manager-gles (LP: #831673)

 -- Michał Zając <quintasan@kubuntu.org>  Tue, 23 Aug 2011 01:46:49 +0200

kde-workspace (4:4.7.0-0ubuntu10) oneiric; urgency=low

  * Manually specify the library dependencies of kde-workspace-dev instead of
    using ${allLibraries} so it can alternatively depend on 
    libkwineffectsabi2 or libkwineffectsabi2-gles since they can't be installed
    together at the same time.

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 22 Aug 2011 16:45:11 +0200

kde-workspace (4:4.7.0-0ubuntu9) oneiric; urgency=low

  * debian/rules: added overrides to double build workspace to get kwin-gles
    binary
  * debian/control: added libegl1-mesa-dev and libgles2-mesa-dev to
    Build-Depends and added kde-window-manager-gles and
    libkwineffects1abi2-gles packages 

 -- Michał Zając <quintasan@kubuntu.org>  Sat, 20 Aug 2011 19:32:19 +0200

kde-workspace (4:4.7.0-0ubuntu8) oneiric; urgency=low

  * kubuntu_52_gtk2_engines_oxygen_config.diff: Fix package installed checks
    which didn't work for multiarch packages.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 19 Aug 2011 23:20:11 +0200

kde-workspace (4:4.7.0-0ubuntu7) oneiric; urgency=low

  * Add libkwineffects headers and unversioned .so back to kde-workspace-dev


=== debian/control ===
Source: kde-workspace
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>,
 Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), dpkg-dev (>= 1.15.5),
 libdlrestrictions-dev (>= 0.14), kdelibs5-dev (>= 4:4.6.80), kdepimlibs5-dev (>= 4:4.6),
 libstrigiqtdbusclient-dev (>= 0.6.3), libstreamanalyzer-dev (>= 0.6.3),
 libqimageblitz-dev (>= 1:0.0.4-2),
 zlib1g-dev,
 libdbusmenu-qt-dev (>= 0.6.0),
 libfontconfig-dev,
 libglu1-mesa-dev, libqt4-opengl-dev,
 python-dev (>= 2.6.6-3~),
 shared-desktop-ontologies,
 libpam0g-dev,
 libnm-util-dev (>= 0.7) [linux-any],
 network-manager-dev (>= 0.7.0) [linux-any],
 libraw1394-dev [linux-any],
 libusb-dev, libpci-dev,
 libakonadi-dev (>= 1.1.95), libboost1.46-dev,
 libgps-dev (>= 2.90),
 libck-connector-dev, libdbus-1-dev,
 libsensors4-dev [linux-any],
 libdevstat-dev [kfreebsd-any],
 libxkbfile-dev, libxrandr-dev, libxrender-dev, libxcomposite-dev, libxdamage-dev,
 libxfixes-dev, libxft-dev, libxtst-dev, libxss-dev, libsm-dev, libxinerama-dev, libxi-dev,
 libpng-dev, libjpeg62-dev, libxcursor-dev,
 libqalculate-dev, libglib2.0-dev,
 libxml2-dev, libpolkit-qt-1-dev,
 python-kde4 (>= 4:4.7.0-0ubuntu2~), python-sip (>= 4.12.3-1~), python-qt4 (>= 4.8.3-3~),
 libdmtx-dev,
 libqtwebkit-dev,
 libprison-dev,
 libegl1-mesa-dev,
 libgles2-mesa-dev
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-workspace
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-workspace

Package: kde-workspace
Architecture: all
Depends:  kde-workspace-bin (>= ${source:Version}), ${misc:Depends},
 klipper (>= ${source:Version}), ksysguard (>= ${source:Version}),
 systemsettings (>= ${source:Version}), freespacenotifier (>= ${source:Version}),
 kde-window-manager (>= ${source:Version}) | kde-window-manager-gles (>= ${source:Version})
Recommends: kdm (>= ${source:Version}), kinfocenter (>= ${source:Version})
Replaces: libpowerdevilcore0, kdebase-workspace (<< 4:4.6.90)
Breaks: libpowerdevilcore0, kdebase-workspace (<< 4:4.6.90)
Description: KDE Plasma Workspace components
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package provides a basic KDE desktop installation.

Package: kdebase-workspace
Architecture: all
Depends: ${misc:Depends}, kde-workspace
Description: transitional package for kde-workspace
 This is a dummy transitional package for kde-workspace and can be safely
 removed after the installation is complete.

Package: plasma-desktop
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, plasma-widgets-workspace (= ${binary:Version})
Recommends: kde-workspace
Replaces: kdebase-workspace-bin (<< 4:4.5.80), plasma-widgets-workspace (<< 4:4.5.80),
 kdebase-workspace-data (<< 4:4.6.80)
Breaks: kdebase-workspace-bin (<< 4:4.5), kdebase-workspace-data (<< 4:4.6.80),
 plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+)
Description: KDE Plasma workspace for desktop and laptop computers
 Provides the environment for running and managing applications and integrating
 interaction of applications. It is designed as generic environment for all
 kinds of desktop applications, not only applications built on the KDE Platform.
 It integrates best with applications following the standards used by the KDE
 Platform.
 .
 This package is part of the KDE base workspace module.

Package: plasma-netbook
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, plasma-widgets-workspace (= ${binary:Version})
Recommends: kde-workspace
Replaces: plasma-widgets-workspace (<< 4:4.5.80)
Description: KDE Plasma workspace for netbook computers
 Provides the environment for running and managing applications and integrating
 interaction of applications. It is designed as generic environment for all
 kinds of applications in a netbook environment, not only applications built on
 the KDE Platform. It integrates best with applications following the standards
 used by the KDE Platform.
 .
 This package is part of the KDE base workspace module.

Package: kde-workspace-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, iso-codes, udisks,
 plasma-desktop (= ${binary:Version}) | plasma-netbook (= ${binary:Version}),
 kde-workspace-data (= ${source:Version}), x11-utils, x11-xserver-utils,
 kde-workspace-kgreet-plugins (= ${binary:Version})
Recommends: polkit-kde-1 (>= 0.99) | policykit-1-gnome,
 upower [linux-any]
Suggests: x11-xkb-utils, plasma-scriptengines
Replaces: kcontrol, kmenuedit, ktip, libkfontinst4, ksplash, kdesktop,
 kde-window-manager (<< 4:4.5.80), kdebase-workspace-data (<< 4:4.6.80),
 kdebase-workspace-libs4+5, kinfocenter (<= 4:4.5.80),
 plasma-widgets-workspace (<< 4:4.5.80), systemsettings (<< 4:4.5.80),
 kdebase-runtime (<< 4:4.5), kdebase-data (<< 4:4.5), libpowerdevilcore0,
 plasma-dataengines-workspace (<< 4:4.6.80), kdebase-workspace-bin (<< 4:4.6.90)
Breaks: kcontrol, kmenuedit, ktip, libkfontinst4, kdesktop, ksplash,
 kdebase-runtime (<< 4:4.5), kdebase-data (<< 4:4.5), polkit-kde-1 (<< 0.99),
 kdebase-workspace-data (<< 4:4.6.80), libpowerdevilcore0,
 plasma-dataengines-workspace (<< 4:4.6.80), kdebase-workspace-bin (<< 4:4.6.90)
Description: core binaries for the KDE Plasma Workspace
 This package contains miscellaneous programs needed for a basic desktop
 installation. Among other standard KDE Workspace components, the package
 provides startkde scripts, ksmserver (the session manager), krunner,
 the default KDE screensavers and many KDE configuration modules. This
 package is essential to start and use KDE Plasma Workspace.
 .
 This package is part of the KDE base workspace module.

Package: kde-workspace-data
Architecture: all
Depends: kde-wallpapers-default, oxygen-cursor-theme, ${misc:Depends},
 ${perl:Depends}
Replaces: ksmserver, kmenuedit, ktip, ksplash, libplasma1,
 kdebase-runtime-data (<< 4:4.5), kdebase-workspace-data (<< 4:4.6.90),
 kde-icons-mono (<< 4:4.6.80)
Breaks: ksmserver, kmenuedit, ktip, ksplash, libplasma1,
 kdebase-runtime-data (<< 4:4.5), kdebase-workspace-data (<< 4:4.6.90),
 kde-icons-mono (<< 4:4.6.80)
Description: shared data files for the KDE Plasma Workspace
 This package contains architecture-independent shared data files needed for a
 basic KDE Workspace installation.
 .
 This package is part of the KDE base workspace module.

Package: kde-workspace-data-extras
Architecture: all
Depends: kde-wallpapers, kde-workspace-data (>= ${source:Version}),
 ${misc:Depends}, ${perl:Depends}
Replaces: ksmserver, kmenuedit, ktip, ksplash, libplasma1,
 kdebase-runtime-data (<< 4:4.5), kdebase-workspace-data (<< 4:4.6.90),
 kde-icons-mono (<< 4:4.6.80), kde-workspace-data (<< 4:4.7.0-0ubuntu2~),
 kdm (<< 4:4.7.0-0ubuntu2~), kdebase-workspace-wallpapers (<< 4:4.6.90)
Breaks: ksmserver, kmenuedit, ktip, ksplash, libplasma1,
 kdebase-runtime-data (<< 4:4.5), kdebase-workspace-data (<< 4:4.6.90),
 kde-icons-mono (<< 4:4.6.80), kde-workspace-data (<< 4:4.7.0-0ubuntu2~),
 kdm (<< 4:4.7.0-0ubuntu2~), kdebase-workspace-wallpapers (<< 4:4.6.90)
Description: extra data files for the KDE Plasma Workspace
 This package contains extra shared data files that aren't installed by default
 for space reasons.
 .
 This package is part of the KDE base workspace module.

Package: kde-workspace-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libkdecorations4 (= ${binary:Version}),
 libkwineffects1abi2 (= ${binary:Version}) | libkwineffects1abi2-gles (= ${binary:Version}),
 libkephal4abi1 (= ${binary:Version}),
 libkscreensaver5 (= ${binary:Version}),
 libksgrd4 (= ${binary:Version}),
 libksignalplotter4 (= ${binary:Version}),
 libkworkspace4 (= ${binary:Version}),
 liblsofui4 (= ${binary:Version}),
 libplasmaclock4abi2 (= ${binary:Version}),
 libplasma-geolocation-interface4 (= ${binary:Version}),
 libplasmagenericshell4 (= ${binary:Version}),
 libprocesscore4abi1 (= ${binary:Version}),
 libprocessui4a (= ${binary:Version}),
 libsolidcontrol4abi2 (= ${binary:Version}),
 libsolidcontrolifaces4abi2 (= ${binary:Version}),
 libtaskmanager4abi2 (= ${binary:Version}),
 libweather-ion6 (= ${binary:Version}),
 ${sameVersionDep:kdelibs5-dev:kde-workspace-bin}
Replaces: libksignalplotter4 (<< 4:4.5.0), kdebase-workspace-dev (<< 4:4.6.90)
Breaks: libksignalplotter4 (<< 4:4.5.0), kdebase-workspace-dev (<< 4:4.6.90)
Description: development files for the KDE Plasma Workspace
 This package contains development files for building software that uses
 libraries from the KDE Plasma Workspace.
 .
 This package is part of the KDE base workspace module.

Package: kdebase-workspace-dev
Architecture: all
Depends: ${misc:Depends}, kde-workspace-dev
Description: transitional package for kde-workspace-dev
 This is a dummy transitional package for kde-workspace-dev and can be safely
 removed after the installation is complete.

Package: plasma-dataengines-workspace
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ksysguardd (= ${binary:Version})
Replaces: plasma-widgets-workspace (<= 4:4.5.2-1ubuntu1), plasma-desktop (<< 4:4.6.80),
 plasma-netbook (<< 4:4.6.80)
Breaks: plasma-widgets-workspace (<= 4:4.5.2-1ubuntu1), plasma-desktop (<< 4:4.6.80),
 plasma-netbook (<< 4:4.6.80)
Description: KDE Plasma data engines
 This package contains standard Plasma data engines shipped in KDE Plasma
 workspace. These engines are needed by the standard KDE base
 workspace Plasma widgets, but they may be useful for any other Plasma widget
 too.
 .
 This package is part of the KDE base workspace module.

Package: plasma-widgets-workspace
Architecture: any
Depends: ${shlibs:Depends}, plasma-dataengines-workspace (= ${binary:Version}), ${misc:Depends},
 akonadi-server, kdepim-runtime
Provides: notification-daemon, indicator-renderer
Description: plasma widgets and containments for the KDE Plasma Workspace
 This package contains standard Plasma widgets and containments shipped in the
 KDE base workspace module. They provide such basic desktop functionality as
 the panel, task manager, application laucher, clock and more. The default KDE
 Workspace is a combination of these visual components.
 .
 This package also includes the default animator used by the main KDE Plasma
 Desktop shell.
 .
 This package is part of the KDE base workspace module.

Package: plasma-scriptengines
Architecture: all
Depends: plasma-scriptengine-javascript (>= 4:4.2.95),
# plasma-scriptengine-qedje (>= ${source:Version}),
 plasma-scriptengine-ruby (>= ${source:Version}),
 plasma-scriptengine-python (>= ${source:Version}),
 plasma-scriptengine-webkit (>= ${source:Version}),
 ${misc:Depends}
Recommends: plasma-scriptengine-superkaramba
Suggests: plasma-scriptengine-kimono
Description: metapackage to install all Plasma script engines
 This metapackage depends on all Plasma script engines which kdebase-workspace
 module provides and suggests script engines from other official KDE modules.
 .
 This package is part of the KDE base workspace module.

#Package: plasma-scriptengine-qedje
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Description: QEdje script engine for Plasma
